Get a page of partner schedules
Query Parameters
- Type: integerFormat: int32Page
Index The page index of the search.
- Type: integerFormat: int32Page
Size The number of products to be returned in the response. Returns pages of up to 500 records.
- Type: stringSearch
Text The search text to filter schedules by. This can be all or part of a reference number or description
- Type: stringFormat: uuidPartner
Id The id of the partner to filter schedules for.
- Type: stringFormat: dateCreated
From Utc The utc date and time to filter schedules created on and after.
- Type: stringFormat: dateCreated
To Utc The utc date and time to filter schedules created up to.
- Type: integer · enumStatus
The status of the schedule.
values- Draft = 1
- Approved = 2
- Type: booleanIs
Exported Whether or not the schedule has been exported for the current api connection
Responses
- application/json
Request Example for get/v1/schedules
curl 'https://api.consignlyhq.com/v1/schedules?PageIndex=1&PageSize=25&SearchText=milk%20powder&PartnerId=&CreatedFromUtc=2020-01-01T12%3A00%3A00Z&CreatedToUtc=2021-01-01T12%3A00%3A00Z&Status=enum%20(Draft%20%3D%201%2C%20Approved%20%3D%202)&IsExported=true'
{
"index": 1,
"total": 1,
"schedules": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"partnerId": "123e4567-e89b-12d3-a456-426614174000",
"partnerName": null,
"partnerCode": null,
"date": "date (YYYY-MM-DD)",
"referenceNumber": null,
"amountExclTax": 1,
"status": "enum (Draft = 1, Approved = 2)",
"isExported": true
}
]
}